Bug 446159 - Review Request: xesam-tools - A toolkit for Xesam compliant services
Review Request: xesam-tools - A toolkit for Xesam compliant services
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 00:49 EDT by Deji Akingunola
Modified: 2008-06-28 23:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-28 23:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2008-05-13 00:49:39 EDT
Spec URL: ftp://czar.eas.yorku.ca/pub/xesam/xesam-tools.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/xesam/xesam-tools-0.6.1-1.fc9.src.rpm
Description: xesam-tools provides Python packages to interface with Xesam
compliant services as well as a command line tool to use directly.

It also features a framework for easily implementing xesam compliant
servers via the xesam.server package. There are two examples bundled
with this distribution. Namely demo/xesam-yahoo-service and
demo/xesam-dummy-service. Both include a small header describing
their usage.

The implementation uses gobject and the Python dbus bindings for the gobject
mainloop. There's no gui, only a command line application (xesam-tool).
Comment 1 Jason Tibbitts 2008-06-27 12:22:50 EDT
I'm going to assume that the tests here are similarly not runnable.  I couldn't
get them to run, at least.

The upstream web site seems to be down now, but I think a more specific URL
would be good if possible.

The only thing I'm not sure about is the license.  The code doesn't have the
expected license blocks, but PKG-INFO and setup.py both say "GNU LGPL 2.1" so I
would have to assume LGPLv2 and not LGPLv2+ as you have.  This should definitely
be clarified with upstream, and "License: LGPLv2" used in the interim.

Honestly that's the only thing I see that requires fixing, so you can just
change it when you check in.

* source files match upstream:
  fcaea2c7dc21ede48feed9d743560e97db4c9fceb534a808a618b3f1791a5e93  
   xesam-tools-0.6.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
 license text not included upstream.
 license text included in package.
 latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   xesam-tools = 0.6.1-1.fc10
  =
   /usr/bin/python
   python(abi) = 2.5

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, just fix up the License.
Comment 2 Deji Akingunola 2008-06-27 14:27:43 EDT
New Package CVS Request
=======================
Package Name: xesam-tools
Short Description: A toolkit for Xesam compliant services
Owners: deji
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-06-27 19:25:38 EDT
cvs done.
Comment 4 Deji Akingunola 2008-06-28 23:15:26 EDT
I did fix up the License, and it's now built for rawhide and F-9. Thanks.

Note You need to log in before you can comment on or make changes to this bug.